> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Contact Suggestions



## OpenAPI

````yaml /openapi.json get /v1/contact-suggestions
openapi: 3.0.3
info:
  contact:
    name: Stuut Support
    url: https://stuut.ai
    email: devs@stuut.co
  termsOfService: https://stuut.ai/terms-and-conditions
  title: Stuut API
  version: 0.1.0
servers:
  - url: http://api.stuut.ai
security: []
tags:
  - name: Analytics
  - name: Bank Accounts
  - name: Bank Statements
  - name: Bank Transactions
  - name: Call Agents
  - name: Call Agent Scenarios
  - name: Calls
  - name: Contact Suggestions
  - name: demo
  - name: Email Senders
  - name: Email Templates
  - name: Email Template Folders
  - name: Email Threads
  - name: Emails
  - name: Files
  - name: Invoices
  - name: Notes
  - name: Organizations
  - name: Outreach Workflows
  - name: Partners
  - name: Partner Contacts
  - name: Payments
  - name: Phone Numbers
  - name: Plaid
  - name: Profile
  - name: Pusher
  - name: Remittances
  - name: Tags
  - name: Tasks
  - name: User Invites
  - name: Users
paths:
  /v1/contact-suggestions:
    get:
      tags:
        - Contact Suggestions
      summary: List Contact Suggestions
      operationId: contact_suggestions.list
      parameters:
        - in: query
          name: page
          description: Page number, 0 indexed.
          schema:
            type: integer
            default: 0
            minimum: 0
          required: false
        - in: query
          name: limit
          description: The page size
          schema:
            type: integer
            default: 50
            minimum: 1
            maximum: 200
          required: false
        - in: query
          name: sort_order
          schema:
            enum:
              - asc
              - desc
          required: false
        - in: query
          name: sort_by
          schema:
            type: string
          required: false
        - in: query
          name: partner
          description: The `Partner` identifier, (e.g. `ptn_abc123`).
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListContactSuggestion'
          description: Successful response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StuutErrorHTTP'
          description: Authentication error
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
      security:
        - BearerAuth: []
components:
  schemas:
    ListContactSuggestion:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ContactSuggestion'
    StuutErrorHTTP:
      type: object
      properties:
        data:
          type: object
          additionalProperties: {}
        error:
          type: string
        message:
          type: string
      required:
        - data
        - error
        - message
    ValidationError:
      properties:
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
        message:
          type: string
      type: object
    ContactSuggestion:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        contact_id:
          type: string
          maxLength: 32
          description: Related contact ID for updates/deletes
          nullable: true
        created_at:
          type: string
          format: date-time
        email:
          type: string
          description: Email for this contact suggestion
        external_contact:
          $ref: '#/components/schemas/ExternalContact'
        external_contact_id:
          type: string
          maxLength: 32
          nullable: true
        modified_at:
          type: string
          format: date-time
          nullable: true
        object:
          type: string
        partner_id:
          type: string
          maxLength: 32
        reason:
          type: string
          description: Reason for the suggestion
        source:
          type: string
          description: The source of this suggestion (e.g. 'apollo', 'email_signature')
        status:
          maxLength: 8
          enum:
            - pending
            - applied
            - rejected
        suggestion_type:
          maxLength: 6
          description: Type of suggestion (add/update/delete)
          enum:
            - add
            - update
            - delete
      required:
        - email
        - object
        - partner_id
        - reason
        - source
        - suggestion_type
    ExternalContact:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        created_at:
          type: string
          format: date-time
        domain:
          type: string
          description: Domain where this contact was found
        email:
          type: string
          maxLength: 255
        family_name:
          type: string
          nullable: true
        given_name:
          type: string
          nullable: true
        modified_at:
          type: string
          format: date-time
          nullable: true
        object:
          type: string
        phone:
          type: string
          maxLength: 32
          nullable: true
        role:
          type: string
          nullable: true
        source:
          type: string
          description: Source of external contact (e.g. 'apollo')
        source_provider_id:
          type: string
          description: >-
            ID of the contact in the source provider's system (e.g. Apollo
            contact ID)
          nullable: true
        status:
          maxLength: 8
          enum:
            - pending
            - enriched
            - failed
      required:
        - domain
        - email
        - object
        - source
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````